<?php
session_start();

// klasa obslugujaca logowanie medpass
include_once('lib/Medpass/class.AccountMedpass.php');

// konfigurujemy smarty
require('smarty/Smarty.class.php');
$smarty = new Smarty();
$smarty->template_dir ='templates';
$smarty->compile_dir = 'templates_c';
$smarty->config_dir = 'configs';
$smarty->cache_dir = 'cache';

// tworzymy obiek klasy obslugujacej logowanie medpass
$user = new AccountMedpass();

// sprawdzamy, czy uzytkownik jest zalogowany
if (!$user->isLogged()){	
	// uzytkownik nie jest zalogowany - wyswietlamy formularz logowania		
	$zalogowany = false;
	$smarty->assign("medpass_form", 1);
	
	// i ew. komunkat bledu
	$smarty->assign("medpass_error", $_SESSION[MEDPASS_ERROR]);	
} else {
	// uzytkownik jest zalogowany
	$zalogowany = true;
}

// to przypisanie jest na potrzeby wyswietlania przycisku linku "wyloguj" w menu
$smarty->assign("zalogowany",$zalogowany);

// obslugujemy akcje przekazana w parametrze
switch ($_GET['action']){
	case '1':
	case '2':		
		// strony dostepne wylacznie po zalogowaniu
		if ($zalogowany){
			// jesli uzytkownik jest zalogowany - wyswietlamy odpowiednia tresc
			$smarty->assign("page", $_GET['action']);
		} else {
			// jesli nie to wyswietlamy komunikat o obowiazku logowania
			$smarty->assign("pageRefuse", 1);
			$smarty->assign("page", -1);
		}
		break;		 	
	case '3':		
		// wyswietlamy tresc strony dostepnej bez logowania
		$smarty->assign("page",$_GET['action']);
		break;		
	default:		
		// strona glowna
		$smarty->assign("page", 0);
		break;	
}

// wyswietlamy tresc strony
$smarty->display('content.tpl');
?>